APIs / Google Travel Explore / Flights Explore

Google Travel Explore: Flights Explore

Flights Explore from Google Travel Explore as JSON. 1 credit per successful call.

GET /v1/google-travel-explore/flights-explore

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
departure_idstringRequiredAny
typestringOptionalround_trip, one_way
travel_classintegerOptionalAny
adultsintegerOptionalAny
childrenintegerOptionalAny
infantsintegerOptionalAny
glstringOptionalUp to 2 characters
hlstringOptionalAny
max_priceintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-travel-explore/flights-explore?departure_id=JFK&type=round_trip&gl=us&hl=en" \
  -H "X-API-Key: $API_KEY"